Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 21 Nov 2014, 00:52
All times are UTC - 4
 Forum index » House Training » HOWTO ( Solutions )
Install latest SeaMonkey browser in older Puppies
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 2 of 3 [32 Posts]   Goto page: Previous 1, 2, 3 Next
Author Message
PenguinPupLin

Joined: 23 Dec 2011
Posts: 126
Location: The Little Red Dot

PostPosted: Wed 11 Jan 2012, 12:51    Post subject:  

Noted and thanks a lot for your explanation.
On another note, Opera has also just announced on their website that from their newest version 11.60 onwards, all future updates shall be automatic;just hoping somebody would come out with a pet or sfs for ths one soon. Very Happy
Back to top
View user's profile Send private message 
maureenc

Joined: 11 Jan 2012
Posts: 6

PostPosted: Tue 28 Feb 2012, 16:48    Post subject:  

Thank you so much for this information which has helped me with the installation of Seamonkey 2.6.1.

It works fine installed as per your brilliant instructions on Wary Puppy 5.2.1.

All I need now is a good replacement for Greasemonkey so that I can run one of my favourite scripts!
Back to top
View user's profile Send private message 
ttuuxxx


Joined: 05 May 2007
Posts: 10843
Location: Ontario Canada,Sydney Australia

PostPosted: Mon 05 Mar 2012, 06:43    Post subject:  

latest version is located at http://mirror2.mirrors.tds.net/pub/mozilla.org/seamonkey/releases/2.7.2/linux-i686/en-US/seamonkey-2.7.2.tar.bz2
ttuuxxx

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile
Back to top
View user's profile Send private message Visit poster's website 
Sky Aisling


Joined: 27 Jun 2009
Posts: 936
Location: Port Townsend, WA. USA

PostPosted: Sun 25 Mar 2012, 23:47    Post subject: Install SeaMonkey 2.5 in older Puppies
Subject description: How to install SeaMonkey-2.7.2 in Puppy-4.3.1?
 

Thank you ttuuxxx for the link to the latest version of SeaMonkey.
http://mirror2.mirrors.tds.net/pub/mozilla.org/seamonkey/releases/2.7.2/linux-i686/en-US/seamonkey-2.7.2.tar.bz2

I am attempting to either update or replace SeaMonkey 1.1.8 in Puppy-4.3.1. with a newer version of SeaMonkey.

I have downloaded SeaMonkey 2.7.2 from the above link.

I am presented with a box which says *XArchive 0.2.8.6* (See screen shot.)

I am unfamiliar with this box.

What do I do with this box?
XArchive_SeaMonkey-2.7.2.png
Description 
png

 Download 
Filename  XArchive_SeaMonkey-2.7.2.png 
Filesize  679.23 KB 
Downloaded  326 Time(s) 
Back to top
View user's profile Send private message 
Dewbie

Joined: 15 Apr 2010
Posts: 1783

PostPosted: Mon 26 Mar 2012, 00:00    Post subject:  

Sky Aisling wrote:
Quote:
I am unfamiliar with this box.
What do I do with this box?

If you're following the directions in my initial post, this is the part that would normally apply to where you're at:
Quote:
* Click on Select All, then Extract.
* Click on Choose, then root, then go to directory above root.
* Click on usr, then local.
* Click on Open, then OK.

However, looking at your screenshot, there's no Extract icon.
(That's strange; usually it's to the right.)
Maybe it will appear after clicking on Select All.
Back to top
View user's profile Send private message 
Sky Aisling


Joined: 27 Jun 2009
Posts: 936
Location: Port Townsend, WA. USA

PostPosted: Mon 26 Mar 2012, 00:18    Post subject: Install SeaMonkey 2.5 in older Puppies
Subject description: How to install SeaMonkey-2.7.2 in Puppy-4.3.1?
 

Thank you, Dewbie
SeaMonkey 2.7.2 is in usr/local (see screen shot)
Now what?
Edit: wait, wait don't tell me....
Do I pick up the tutorial at this point?

Quote:
Next step for 4.x and Wary 5.1.x:
* Install dbus.pet and dbus-glib.pet.
* Go to /usr/local/seamonkey; click on seamonkey to launch SeaMonkey 2.5.
(Note that old SeaMonkey browser remains intact; it's required for help / printer browsers.)
SeaMonkey_usr_local.png
Description 
png

 Download 
Filename  SeaMonkey_usr_local.png 
Filesize  624.94 KB 
Downloaded  315 Time(s) 
Back to top
View user's profile Send private message 
Dewbie

Joined: 15 Apr 2010
Posts: 1783

PostPosted: Mon 26 Mar 2012, 00:29    Post subject:  

Sky Aisling wrote:
Quote:
Do I pick up the tutorial at this point?

Yes. However, I'm not sure if instructions still apply exactly to latest SeaMonkey versions.
Back to top
View user's profile Send private message 
Sky Aisling


Joined: 27 Jun 2009
Posts: 936
Location: Port Townsend, WA. USA

PostPosted: Mon 26 Mar 2012, 00:38    Post subject: Install SeaMonkey 2.5 in older Puppies
Subject description: How to install SeaMonkey-2.7.2 in Puppy-4.3.1?
 

I installed *dbus.pet*.
I installed *dbus-glib.pet*.
SeaMonkey 2.7.2 comes up fine when I activate it in usr/local.
But, Good Gravey! It's already out of date!
Big warning sign attached to it saying:

Quote:
Warning! You're using an old stable version of SeaMonkey (2.7.2), while we offer a newer version which contains important security fixes.


Thank you Dewbie, I think I can take it from here.
I'll go see if the rest of the tutorial applies to this version. I'll test and let you know.
Edit: So far, I've lost sound throughout system. Is this some kind of *symlink* error? I'm done for the night. I'll check in the morning. Thank you, again.
Back to top
View user's profile Send private message 
Makoto


Joined: 03 Sep 2009
Posts: 1808
Location: Out wandering... maybe.

PostPosted: Mon 26 Mar 2012, 02:08    Post subject:  

Yeah, they released v2.8 on the 13th.

If you want to keep using 2.7.2, you should probably be able to just disable the automatic check-for-updates feature, and it won't complain. Otherwise, you can always grab the latest version from the SeaMonkey home page (I believe the links on the front page will automatically redirect you to one of the various mirrors):
The SeaMonkey® Project

_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * My Pidgin Builds for Puppy 4.3.1+
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send private message 
Sky Aisling


Joined: 27 Jun 2009
Posts: 936
Location: Port Townsend, WA. USA

PostPosted: Mon 26 Mar 2012, 02:25    Post subject: Install SeaMonkey 2.5 in older Puppies
Subject description: How to install SeaMonkey-2.8 in Puppy-4.3.1? Lost Sound
 

Thank you, Makoto,
Wish I could bring your puppies back for you...

I downloaded SeaMonkey 2.8 and followed tutorial.
No more warning signs about it being out-of-date,... yet.
Still no sound.
Time to let it be for the night.
Back to top
View user's profile Send private message 
Makoto


Joined: 03 Sep 2009
Posts: 1808
Location: Out wandering... maybe.

PostPosted: Mon 26 Mar 2012, 04:44    Post subject:  

Thanks. Embarassed

I can't say I'd know, offhand, what might have caused the system to lose its sound - unless maybe something in the sound drivers was dependent in some way upon dbus (doubtful), or caused the volume to go all the way to zero.

Have you tried rebooting? And, if that alone doesn't work, then reconfiguring the sound setup (and perhaps rebooting again, after that)?

_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * My Pidgin Builds for Puppy 4.3.1+
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send private message 
Sky Aisling


Joined: 27 Jun 2009
Posts: 936
Location: Port Townsend, WA. USA

PostPosted: Mon 26 Mar 2012, 12:17    Post subject: Install SeaMonkey 2.5 in older Puppies
Subject description: Update on SeaMonkey 2.8 upgrade
 

Cunningly, I backed up my original save file, so I can strap on my wax wings and head out for the sun again.

_______________________________________________________________

Interestingly, for those who know how to figure this issue, here's what I know:
I downloaded and installed SeaMonkey 2.8 (after a successfully downloading and installing 2.7.2, see above posts).
The *menu/internet* entry was automatically updated to SeaMonkey 2.8.

If I drag and drop SeaMonkey 2.8 from usr/local to the desktop,
then
both the old *browser* symlink/icon and the new SeaMonkey 2.8 symlink/icon will activate SeaMonkey 2.8.

If I *remove* the SeaMonkey 2.8 symlink from the desktop,
then
the old *browser* symlink will activate SeaMonkey 1.1.8 (the original SeaMonkey browser that came with the iso).

Since the download of SeaMonkey 2.7.2 and 2.8 the sound is gone throughout the system.
*Geany* edit program doesn't work correctly when SeaMonkey 2.8 symlink is gone from desktop. Caps don't work, sentences are truncated.
When SeaMonkey 2.8 symlink is present on the desktop then *Geany* works per normal.

The machine I'm using seems to like the older kernels best, so, I'll give Wary-5.2.2. a try. Smile
Back to top
View user's profile Send private message 
Dewbie

Joined: 15 Apr 2010
Posts: 1783

PostPosted: Sat 02 Jun 2012, 23:43    Post subject:  

For Puppy 4.x/5.x, shinobar has a SeaMonkey 2.9.1 .sfs that works even better, and installs with fewer steps. Smile
Details here.
Back to top
View user's profile Send private message 
Sky Aisling


Joined: 27 Jun 2009
Posts: 936
Location: Port Townsend, WA. USA

PostPosted: Sat 30 Jun 2012, 19:49    Post subject: Install SeaMonkey 2.5 in older Puppies
Subject description: Shinobar's Seamonkey-2.10.1-en.sfs easy fix
 

I used Shinobar's Seamonkey-2.10.1-en.sfs solution and it worked perfect.
See

http://www.murga-linux.com/puppy/viewtopic.php?t=78601
and
http://www.murga-linux.com/puppy/viewtopic.php?p=637656#637656

The sound and other issues mentioned in my above post were also fixed by the download.
Thank you, Shinobar.
Back to top
View user's profile Send private message 
Dewbie

Joined: 15 Apr 2010
Posts: 1783

PostPosted: Wed 26 Sep 2012, 01:05    Post subject:  

Lots of edits to first post, so it should be up to date. Smile
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 2 of 3 [32 Posts]   Goto page: Previous 1, 2, 3 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » HOWTO ( Solutions )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0976s ][ Queries: 13 (0.0181s) ][ GZIP on ]